How to install Geopsy 3.2.0 - ANSWERS!

Post in this forum any question related to the installation on any of the supported platforms (Linux, Mac OS X, Windows)
EduardoPitta
Posts: 6
Joined: Wed Oct 02, 2019 9:04 pm

How to install Geopsy 3.2.0 - ANSWERS!

Postby EduardoPitta » Thu Oct 03, 2019 8:32 pm

Hello everyone,
After a lot of struggle, I finally installed geopsy in my PC.
Here I will put instructions and solutions to problems so you all can use Geopsy faster than I did.

1. Qt Version
The ideal Qt version for that version of Geopsy is equal or above 5.7, however version 5.7 doesn't seem to work. The Qt version used in the installation tutorial was 5.11.
That way I had two solutions to try:

1-Install the latest Qt in Ubuntu from source
2-Install Debian 10 (Buster)

Why Debian 10? Because it comes with Qt 5.11 by default, so you don't have to risk messing with root and the like. If you want to try to install Qt 5.11 in Ubuntu, get in touch, I'm eager to learn how to do it.

2.Window Manager
After I installed geopsy successfully, the first thing I realized is that I couldn't see any kind of image it generates.
The solution is simple, use a Window Manager that supports Wayland.
I'm not really sure what it is, but here is the solution:

1- At the login screen, click at the cog icon.
2- Select Xfce, if avaliable, if not, install it through apt-get.
3- Log-in and have fun.

So far this is what I remember on how to install it, shoot your questions and I will try to answer.

Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest